Package org.apache.coyote.http11.upgrade

## Class UpgradeInfo

- java.lang.Object
- - org.apache.coyote.http11.upgrade.UpgradeInfo

    public class UpgradeInfo
    extends java.lang.Object

Structure to hold statistical information about connections that have been established using the HTTP/1.1 upgrade mechanism. Bytes sent/received will always be populated. Messages sent/received will be populated if that makes sense for the protocol and the information is exposed by the protocol implementation.

### Constructor Summary

Constructors
`UpgradeInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBytesReceived​(long bytesReceived)`
`void` `addBytesSent​(long bytesSent)`
`void` `addMsgsReceived​(long msgsReceived)`
`void` `addMsgsSent​(long msgsSent)`
`long` `getBytesReceived()`
`long` `getBytesSent()`
`UpgradeGroupInfo` `getGlobalProcessor()`
`long` `getMsgsReceived()`
`long` `getMsgsSent()`
`void` `setBytesReceived​(long bytesReceived)`
`void` `setBytesSent​(long bytesSent)`
`void` `setGroupInfo​(UpgradeGroupInfo groupInfo)`
`void` `setMsgsReceived​(long msgsReceived)`
`void` `setMsgsSent​(long msgsSent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpgradeInfo

    public UpgradeInfo()

### Method Detail

#### getGlobalProcessor

    public UpgradeGroupInfo getGlobalProcessor()

#### setGroupInfo

    public void setGroupInfo​(UpgradeGroupInfo groupInfo)

#### getBytesSent

    public long getBytesSent()

#### setBytesSent

    public void setBytesSent​(long bytesSent)

#### addBytesSent

    public void addBytesSent​(long bytesSent)

#### getBytesReceived

    public long getBytesReceived()

#### setBytesReceived

    public void setBytesReceived​(long bytesReceived)

#### addBytesReceived

    public void addBytesReceived​(long bytesReceived)

#### getMsgsSent

    public long getMsgsSent()

#### setMsgsSent

    public void setMsgsSent​(long msgsSent)

#### addMsgsSent

    public void addMsgsSent​(long msgsSent)

#### getMsgsReceived

    public long getMsgsReceived()

#### setMsgsReceived

    public void setMsgsReceived​(long msgsReceived)

#### addMsgsReceived

    public void addMsgsReceived​(long msgsReceived)